Skip to main content
GET
/
api
/
businesses
/
{business_id}
/
integrations
/
{integration_id}
/
posts
List posts on a platform
curl --request GET \
  --url https://api.mymarky.ai/api/businesses/{business_id}/integrations/{integration_id}/posts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mymarky.ai/api/businesses/{business_id}/integrations/{integration_id}/posts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mymarky.ai/api/businesses/{business_id}/integrations/{integration_id}/posts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "posts": [
    {
      "publish_id": "<string>",
      "created_time": "<string>",
      "stats": {
        "fetched_at": "2023-11-07T05:31:56Z",
        "likes": 123,
        "comment_count": 123,
        "impressions": 123,
        "shares": 123,
        "reach": 123,
        "saves": 123,
        "clicks": 123,
        "views": 123,
        "video_duration_ms": 123,
        "avg_watch_time_ms": 123,
        "total_watch_time_ms": 123,
        "completion_rate": 123,
        "video_views_organic": 123,
        "video_views_paid": 123
      },
      "platform": "<string>",
      "caption": "",
      "permalink_url": "<string>",
      "title": "<string>",
      "thumbnail_url": "<string>",
      "media_url": "<string>",
      "media_urls": [
        "<string>"
      ],
      "alt_text": "<string>",
      "media_type": "<string>",
      "type": "Unknown"
    }
  ],
  "next_cursor": "<string>",
  "total_count": 123
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "param": "<string>",
    "request_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

business_id
string
required

A UUID identifier.

integration_id
string
required

A UUID identifier.

Query Parameters

since
string | null

Start date (ISO 8601 or Unix timestamp). Platform-dependent.

until
string | null

End date (ISO 8601 or Unix timestamp). Platform-dependent.

limit
integer
default:25

Max posts per page

Required range: 1 <= x <= 100
cursor
string | null

Pagination cursor. Pass the next_cursor from a previous response.

Response

Successful Response

Paginated response for post stats.

Used for both API responses and internal service communication.

posts
PostWithStats · object[]
required
next_cursor
string | null
total_count
integer | null